# -*- coding: UTF-8 -*-

import sys

LOG_FATAL = 0
LOG_ERROR = 1
LOG_WARNING = 2
LOG_INFO = 3
LOG_DEBUG = 4

_log_level = LOG_INFO

# set log level
########################
def set_log_level(level):
  _log_level = level

# log messages
########################
def log(level, message):
  if level <= _log_level:
    if level >= LOG_ERROR:
      sys.stdout.write("%s\n" % (message))
    else:
      sys.stderr.write("%s\n" % (message))
